
.seccion-contacto {
  position: relative;
  width: 100%;  
  height: calc(100vh - var(--alto-menu)); 
  
}

.fila-contacto {
  align-items: center;
  gap: var(--gap, 40px);
 
}
.contacto-izquierda {
  display: flex;
  flex-direction: column;
  height: calc(100vh - var(--alto-menu));
  justify-content: space-between;
}
.contacto-derecha {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  padding-right: 10%;
}

.formulario-contacto {  
  padding-right: 60px;  
  color: var(--color-primary);  
}


.formulario-contacto label {
  font-weight: 600;
  margin-bottom: 6px;
  display: block;
}

.formulario-contacto input,
.formulario-contacto textarea {
  width: 100%;
  padding: 10px 14px;
  
  border: 1px solid var(--color-primary);
  font-size: 1rem;
  margin-bottom: 20px;
}

.grupo-check {
  margin-bottom: 15px;
}

.form {
  width: min(600px, 90%);
  margin-left: 10%;
  display: flex;
  flex-direction: column;
}

.field {
  position: relative;
  border-bottom: 1px solid rgba(255,255,255,0.2);
  padding-top: 18px;
}

.field input,
.field textarea {
  width: 100%;
  background: transparent;
  border: 1px solid var(--color-primary);
  outline: none;
  font-size: 18px;
  font-weight: 300;
  padding: 10px;
  resize: none;
}

.field textarea {
  min-height: 120px;
}

.field.check {
  border: none;
  padding: 0;
}

.field:not(.check) label {
  position: absolute;
  left: 0;
  top: 20px;

  font-size: 16px;
  font-weight: 200;
  color: rgba(255,255,255,0.6);

  pointer-events: none;
  transition: 0.25s ease;
}

.checkbox {
  display: flex;
  align-items: center;
  gap: 10px;

  font-size: 14px;
  font-weight: 300;
  color: var(--color-primary);

  cursor: pointer;
}

.checkbox input {
  display: none;
}

.checkbox .box {
  width: 18px;
  height: 18px;

  border: 1px solid var(--color-primary);
  display: inline-block;
  color: var(--color-primary);

  position: relative;
  transition: 0.2s ease;
}
.checkbox input:checked + .box {
  background: var(--color-primary);
}
.checkbox input:checked + .box::after {
  content: "";
  position: absolute;

  left: 5px;
  top: 1px;

  width: 4px;
  height: 9px;

  border: solid black;
  border-width: 0 2px 2px 0;

  transform: rotate(45deg);
}
/* Floating label */
.field:not(.check) input:focus + label,
.field:not(.check) input:not(:placeholder-shown) + label {
  top: -2px;
  font-size: 12px;
  color: rgba(255,255,255,0.9);
}

/* Error */
.error {
  font-size: 12px;
  color: #ff5a5a;
  margin-top: 6px;
  min-height: 14px;
}

/* Focus state elegante */
.field:focus-within {
  border-bottom: 1px solid rgba(255,255,255,0.8);
}

@media (max-width: 768px) {
  .formulario-contacto {
    margin-top: 40px;
    margin-bottom: 40px;
  }
  .fila {
    gap: 0px;
  }
  .form {
    margin-bottom: 20px;  
  }
  .seccion-contacto {
    height: 100%;
    
  }
}